## luz 0.1.0

=== DESCRIPTION ===
Package: luz
Title: Higher Level 'API' for 'torch'
Version: 0.1.0
Authors@R: c(
    person("Daniel", "Falbel", email = "daniel@rstudio.com", role = c("aut", "cre", "cph")),
    person(family = "RStudio", role = c("cph"))
    )
Description: A high level interface for 'torch' providing utilities to reduce the
    the amount of code needed for common tasks, abstract away torch details and 
    make the same code work on both the 'CPU' and 'GPU'. It's flexible enough to
    support expressing a large range of models. It's heavily inspired by 'fastai' by 
    Howard et al. (2020) <arXiv:2002.04688>, 'Keras' by Chollet et al. (2015) and 
    'Pytorch Lightning' by Falcon et al. (2019) <doi:10.5281/zenodo.3828935>.
License: MIT + file LICENSE
URL: https://mlverse.github.io/luz/, https://github.com/mlverse/luz
Encoding: UTF-8
RoxygenNote: 7.1.1
Imports: torch (>= 0.4.0), magrittr, zeallot, rlang, coro, glue,
        progress, R6, generics, purrr, ellipsis, fs, prettyunits, cli
Suggests: knitr, rmarkdown, testthat (>= 3.0.0), covr, Metrics, withr,
        vdiffr, ggplot2, dplyr
VignetteBuilder: knitr
Config/testthat/edition: 3
Collate: 'accelerator.R' 'utils.R' 'callbacks.R'
        'callbacks-interrupt.R' 'callbacks-profile.R' 'context.R'
        'metrics.R' 'metrics-auc.R' 'module-plot.R' 'module-print.R'
        'module.R' 'reexports.R' 'serialization.R'
NeedsCompilation: no
Packaged: 2021-06-16 17:56:07 UTC; dfalbel
Author: Daniel Falbel [aut, cre, cph],
  RStudio [cph]
Maintainer: Daniel Falbel <daniel@rstudio.com>
Repository: CRAN
Date/Publication: 2021-06-17 08:40:04 UTC

## luz 0.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: luz
 Title: Higher Level 'API' for 'torch'
-Version: 0.1.0
+Version: 0.2.0
 Authors@R: c(
     person("Daniel", "Falbel", email = "daniel@rstudio.com", role = c("aut", "cre", "cph")),
     person(family = "RStudio", role = c("cph"))
@@ -15,20 +15,21 @@
 URL: https://mlverse.github.io/luz/, https://github.com/mlverse/luz
 Encoding: UTF-8
 RoxygenNote: 7.1.1
-Imports: torch (>= 0.4.0), magrittr, zeallot, rlang, coro, glue,
+Imports: torch (>= 0.5.0), magrittr, zeallot, rlang, coro, glue,
         progress, R6, generics, purrr, ellipsis, fs, prettyunits, cli
 Suggests: knitr, rmarkdown, testthat (>= 3.0.0), covr, Metrics, withr,
         vdiffr, ggplot2, dplyr
 VignetteBuilder: knitr
 Config/testthat/edition: 3
-Collate: 'accelerator.R' 'utils.R' 'callbacks.R'
-        'callbacks-interrupt.R' 'callbacks-profile.R' 'context.R'
-        'metrics.R' 'metrics-auc.R' 'module-plot.R' 'module-print.R'
-        'module.R' 'reexports.R' 'serialization.R'
+Collate: 'accelerator.R' 'as_dataloader.R' 'utils.R' 'callbacks.R'
+        'callbacks-interrupt.R' 'callbacks-monitor-metrics.R'
+        'callbacks-profile.R' 'context.R' 'lr-finder.R' 'metrics.R'
+        'metrics-auc.R' 'module-plot.R' 'module-print.R' 'module.R'
+        'reexports.R' 'serialization.R'
 NeedsCompilation: no
-Packaged: 2021-06-16 17:56:07 UTC; dfalbel
+Packaged: 2021-10-07 20:24:10 UTC; dfalbel
 Author: Daniel Falbel [aut, cre, cph],
   RStudio [cph]
 Maintainer: Daniel Falbel <daniel@rstudio.com>
 Repository: CRAN
-Date/Publication: 2021-06-17 08:40:04 UTC
+Date/Publication: 2021-10-07 20:50:02 UTC

## luz 0.3.0

=== DESCRIPTION ===
Package: luz
Title: Higher Level 'API' for 'torch'
Version: 0.3.0
Authors@R: c(
    person("Daniel", "Falbel", email = "daniel@rstudio.com", role = c("aut", "cre", "cph")),
    person(family = "RStudio", role = c("cph"))
    )
Description: A high level interface for 'torch' providing utilities to reduce the
    the amount of code needed for common tasks, abstract away torch details and 
    make the same code work on both the 'CPU' and 'GPU'. It's flexible enough to
    support expressing a large range of models. It's heavily inspired by 'fastai' by 
    Howard et al. (2020) <arXiv:2002.04688>, 'Keras' by Chollet et al. (2015) and 
    'PyTorch Lightning' by Falcon et al. (2019) <doi:10.5281/zenodo.3828935>.
License: MIT + file LICENSE
URL: https://mlverse.github.io/luz/, https://github.com/mlverse/luz
Encoding: UTF-8
RoxygenNote: 7.2.1
Imports: torch (>= 0.5.0), magrittr, zeallot, rlang, coro, glue,
        progress, R6, generics, purrr, ellipsis, fs, prettyunits, cli
Suggests: knitr, rmarkdown, testthat (>= 3.0.0), covr, Metrics, withr,
        vdiffr, ggplot2, dplyr, torchvision
VignetteBuilder: knitr
Config/testthat/edition: 3
Collate: 'accelerator.R' 'as_dataloader.R' 'utils.R' 'callbacks.R'
        'callbacks-interrupt.R' 'callbacks-mixup.R'
        'callbacks-monitor-metrics.R' 'callbacks-profile.R' 'context.R'
        'losses.R' 'lr-finder.R' 'metrics.R' 'metrics-auc.R'
        'module-plot.R' 'module-print.R' 'module.R' 'reexports.R'
        'serialization.R'
NeedsCompilation: no
Packaged: 2022-08-19 18:50:00 UTC; dfalbel
Author: Daniel Falbel [aut, cre, cph],
  RStudio [cph]
Maintainer: Daniel Falbel <daniel@rstudio.com>
Repository: CRAN
Date/Publication: 2022-08-19 21:30:05 UTC

## luz 0.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: luz
 Title: Higher Level 'API' for 'torch'
-Version: 0.3.0
+Version: 0.3.1
 Authors@R: c(
     person("Daniel", "Falbel", email = "daniel@rstudio.com", role = c("aut", "cre", "cph")),
     person(family = "RStudio", role = c("cph"))
@@ -28,9 +28,9 @@
         'module-plot.R' 'module-print.R' 'module.R' 'reexports.R'
         'serialization.R'
 NeedsCompilation: no
-Packaged: 2022-08-19 18:50:00 UTC; dfalbel
+Packaged: 2022-09-05 20:27:39 UTC; dfalbel
 Author: Daniel Falbel [aut, cre, cph],
   RStudio [cph]
 Maintainer: Daniel Falbel <daniel@rstudio.com>
 Repository: CRAN
-Date/Publication: 2022-08-19 21:30:05 UTC
+Date/Publication: 2022-09-06 07:10:02 UTC

## luz 0.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: luz
 Title: Higher Level 'API' for 'torch'
-Version: 0.3.1
+Version: 0.4.0
 Authors@R: c(
     person("Daniel", "Falbel", email = "daniel@rstudio.com", role = c("aut", "cre", "cph")),
     person(family = "RStudio", role = c("cph"))
@@ -14,23 +14,26 @@
 License: MIT + file LICENSE
 URL: https://mlverse.github.io/luz/, https://github.com/mlverse/luz
 Encoding: UTF-8
-RoxygenNote: 7.2.1
-Imports: torch (>= 0.5.0), magrittr, zeallot, rlang, coro, glue,
-        progress, R6, generics, purrr, ellipsis, fs, prettyunits, cli
+RoxygenNote: 7.2.3
+Imports: torch (>= 0.9.0), magrittr, zeallot, rlang (>= 1.0.0), coro,
+        glue, progress, R6, generics, purrr, ellipsis, fs, prettyunits,
+        cli
 Suggests: knitr, rmarkdown, testthat (>= 3.0.0), covr, Metrics, withr,
-        vdiffr, ggplot2, dplyr, torchvision
+        vdiffr, ggplot2 (>= 3.0.0), dplyr, torchvision, tfevents (>=
+        0.0.2), tidyr
 VignetteBuilder: knitr
 Config/testthat/edition: 3
 Collate: 'accelerator.R' 'as_dataloader.R' 'utils.R' 'callbacks.R'
         'callbacks-interrupt.R' 'callbacks-mixup.R'
-        'callbacks-monitor-metrics.R' 'callbacks-profile.R' 'context.R'
+        'callbacks-monitor-metrics.R' 'callbacks-profile.R'
+        'callbacks-resume.R' 'callbacks-tfevents.R' 'context.R'
         'losses.R' 'lr-finder.R' 'metrics.R' 'metrics-auc.R'
         'module-plot.R' 'module-print.R' 'module.R' 'reexports.R'
         'serialization.R'
 NeedsCompilation: no
-Packaged: 2022-09-05 20:27:39 UTC; dfalbel
+Packaged: 2023-04-17 09:26:49 UTC; dfalbel
 Author: Daniel Falbel [aut, cre, cph],
   RStudio [cph]
 Maintainer: Daniel Falbel <daniel@rstudio.com>
 Repository: CRAN
-Date/Publication: 2022-09-06 07:10:02 UTC
+Date/Publication: 2023-04-17 10:00:05 UTC

## luz 0.5.0

=== DESCRIPTION ===
Package: luz
Title: Higher Level 'API' for 'torch'
Version: 0.5.0
Authors@R: c(
    person("Daniel", "Falbel", email = "daniel@rstudio.com", role = c("aut", "cre", "cph")),
    person("Christophe", "Regouby", email = "christophe.regouby@free.fr", role = c("ctb")),
    person(family = "RStudio", role = c("cph"))
    )
Description: A high level interface for 'torch' providing utilities to reduce the
    the amount of code needed for common tasks, abstract away torch details and 
    make the same code work on both the 'CPU' and 'GPU'. It's flexible enough to
    support expressing a large range of models. It's heavily inspired by 'fastai' by 
    Howard et al. (2020) <doi:10.48550/arXiv.2002.04688>, 'Keras' by Chollet et al. (2015) and 
    'PyTorch Lightning' by Falcon et al. (2019) <doi:10.5281/zenodo.3828935>.
License: MIT + file LICENSE
URL: https://mlverse.github.io/luz/, https://github.com/mlverse/luz
Encoding: UTF-8
RoxygenNote: 7.3.2
Imports: torch (>= 0.11.9000), magrittr, zeallot, rlang (>= 1.0.0),
        coro, glue, progress, R6, generics, purrr, fs, prettyunits, cli
Suggests: knitr, rmarkdown, testthat (>= 3.0.0), covr, Metrics, withr,
        vdiffr, ggplot2 (>= 3.0.0), dplyr, torchvision, tfevents (>=
        0.0.2), tidyr
VignetteBuilder: knitr
Config/testthat/edition: 3
Collate: 'accelerator.R' 'as_dataloader.R' 'utils.R' 'callbacks.R'
        'callbacks-amp.R' 'callbacks-interrupt.R' 'callbacks-mixup.R'
        'callbacks-monitor-metrics.R' 'callbacks-profile.R'
        'callbacks-resume.R' 'callbacks-tfevents.R' 'context.R'
        'losses.R' 'lr-finder.R' 'metrics.R' 'metrics-auc.R'
        'module-plot.R' 'module-print.R' 'module.R' 'reexports.R'
        'serialization.R'
BugReports: https://github.com/mlverse/luz/issues
NeedsCompilation: no
Packaged: 2025-07-29 15:53:02 UTC; dfalbel
Author: Daniel Falbel [aut, cre, cph],
  Christophe Regouby [ctb],
  RStudio [cph]
Maintainer: Daniel Falbel <daniel@rstudio.com>
Repository: CRAN
Date/Publication: 2025-07-29 16:30:09 UTC

## luz 0.5.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: luz
 Title: Higher Level 'API' for 'torch'
-Version: 0.5.0
+Version: 0.5.1
 Authors@R: c(
     person("Daniel", "Falbel", email = "daniel@rstudio.com", role = c("aut", "cre", "cph")),
     person("Christophe", "Regouby", email = "christophe.regouby@free.fr", role = c("ctb")),
@@ -32,10 +32,10 @@
         'serialization.R'
 BugReports: https://github.com/mlverse/luz/issues
 NeedsCompilation: no
-Packaged: 2025-07-29 15:53:02 UTC; dfalbel
+Packaged: 2025-10-30 11:37:48 UTC; dfalbel
 Author: Daniel Falbel [aut, cre, cph],
   Christophe Regouby [ctb],
   RStudio [cph]
 Maintainer: Daniel Falbel <daniel@rstudio.com>
 Repository: CRAN
-Date/Publication: 2025-07-29 16:30:09 UTC
+Date/Publication: 2025-10-30 12:30:02 UTC

## luz 1.0.0+git20130626-0~precise1

=== Makefile ===
#
# Makefile to build the C++ helper apps
#
# See README file for dependencies
#

DIRS = spectrum-analyzer

all:
	for dir in $(DIRS); do make -C $$dir $@; done

=== body-tracker/Makefile ===
all: body-tracker

body-tracker: *.cc
	gcc -o body-tracker *.cc -IGL -Iglh -I/usr/include/ni -lOpenNI -lm -lglut `pkg-config --cflags --libs gl glu liblo gtkmm-2.4 gtkglextmm-1.2`

=== hand-tracker/Makefile ===
all: hand-tracker

hand-tracker: *.cc
	gcc -o hand-tracker *.cc -IGL -ILeapSDK/include -ILeapSDK/util -L. -lLeap -Iglh -lm -lglut `pkg-config --cflags --libs gl glu liblo gtkmm-2.4 gtkglextmm-1.2`

=== input-manager/Makefile ===
all: input-manager

input-manager: *.cc
	gcc -o input-manager *.cc -pthread -lcwiimote -lportmidi -lporttime -I/usr/include/libcwiimote `pkg-config gtkmm-2.4 unique-1.0 liblo sdl bluez --cflags --libs`

=== spectrum-analyzer/Makefile ===
all: spectrum-analyzer

spectrum-analyzer: *.cc
	gcc -o spectrum-analyzer *.cc -lasound -lm `pkg-config --cflags --libs fftw3 gl glu liblo gtkmm-2.4 gtkglextmm-1.2`

=== debian/changelog ===
luz (1.0.0+git20130626-0~precise1) precise; urgency=low

  * New git

 -- falkTX <falktx@gmail.com>  Wed, 26 Jun 2013 03:38:10 +0100

luz (1.0.0+git20130213-0~precise4) precise; urgency=low

  * Don't build input-manager, needs old cwiid libs

 -- falkTX <falktx@gmail.com>  Mon, 04 Mar 2013 17:34:48 +0000

luz (1.0.0+git20130213-0~precise3) precise; urgency=low

  * Initial release

 -- falkTX <falktx@gmail.com>  Tue, 15 May 2012 01:49:53 +0100

=== debian/control ===
Source: luz
Section: sound
Priority: extra
Maintainer: falkTX <falktx@gmail.com>
Build-Depends: debhelper (>= 7), dh-autoreconf,
  libasound2-dev, libfftw3-dev, liblo-static,
  libgtkmm-2.4-dev, libgtkglextmm-x11-1.2-dev, libgl1-mesa-dev, libglu1-mesa-dev,
  libx11-dev, libxext-dev, libxi-dev, libsdl1.2-dev,
  libbluetooth-dev, libportmidi-dev, libunique-dev,
  ruby, libruby1.8
Standards-Version: 3.8.4

Package: luz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
  ruby, libgtk2-ruby, librmagick-ruby, libcairo-ruby, libsdl-ruby,
  libopengl-ruby1.8, libserialport-ruby1.8, libvte-ruby1.8, libgst-ruby1.8,
  imagemagick, libav-tools
Description: live motion graphics editor and performer
 Luz is an open-source live motion-graphics editor and performer.
 .
 Luz offers polygonal shapes, images, animated gifs, typography,
 paint canvases, and 140+ effects to use on them.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifeq ($(ARCH),amd64)
GLEXT_FILE=debian/glext/gtkglext.so.64
else
GLEXT_FILE=debian/glext/gtkglext.so.32
endif

export PKG_CONFIG_PATH=/opt/kxstudio/lib/pkgconfig/

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(CURDIR)/debian/luz/usr/bin/
	mkdir -p $(CURDIR)/debian/luz/usr/share/luz/
	cp $(CURDIR)/debian/luz-bin $(CURDIR)/debian/luz/usr/bin/luz
	cp $(GLEXT_FILE) $(CURDIR)/debian/luz/usr/share/luz/gtkglext.so

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/input-manager/input-manager
	rm -f $(CURDIR)/spectrum-analyzer/spectrum-analyzer

%:
	dh $@
